All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.tableview
Class AbstractBaseTableViewTag

    com.sas.taglib.servlet.tbeans.tableview.AbstractBaseTableViewTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

Direct Known Subclasses:
  OLAPTableViewTag, TableViewTag

    public class AbstractBaseTableViewTag

The base object for all tag support handlers in the SAS Custom Tag Library that are used as wrappers for TableViews.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`AbstractBaseTableViewTag()`

Method Summary
`protected void` | `applyAttributes()` Apply TableView properties to the underlying com.sas.servlet.tbeans.tableview.AbstractBaseTableView object
`int` | `getBorderWidth()` Returns the borderWidth property of the AbstractBaseTableViewTag.
`java.lang.String` | `getCaption()` Returns the caption property of the AbstractBaseTableViewTag.
`int` | `getCellPadding()` Returns the cellPadding property of the AbstractBaseTableViewTag.
`int` | `getCellSpacing()` Returns the cellSpacing property of the AbstractBaseTableViewTag.
`int` | `getColumnPageSize()` Returns the columnPageSize property of the AbstractBaseTableViewTag.
`java.lang.String` | `getHorizontalAlignment()` Returns the horizontalAlignment property of the AbstractBaseTableViewTag.
`int` | `getRowPageSize()` Returns the rowPageSize property of the AbstractBaseTableViewTag.
`java.lang.String` | `getStyleClassPrefix()` Returns the styleClassPrefix property of the AbstractBaseTableViewTag.
`java.lang.String` | `getSummary()` Returns the summary property of the AbstractBaseTableViewTag.
`int` | `getWidth()` Returns the width property of the AbstractBaseTableViewTag.
`int` | `getWidthPercentage()` Returns the widthPercentage property of the AbstractBaseTableViewTag.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`boolean` | `isColumnHeaderVisible()` Returns the columnHeaderVisible property of the AbstractBaseTableViewTag.
`boolean` | `isFormEnabled()` Returns the formEnabled property of the AbstractBaseTableViewTag.
`boolean` | `isRowHeaderVisible()` Returns the rowHeaderVisible property of the AbstractBaseTableViewTag.
`void` | `setBorderWidth(int borderWidth)` Sets the borderWidth property of the AbstractBaseTableViewTag.
`void` | `setCaption(java.lang.String caption)` Sets the caption property of the AbstractBaseTableViewTag.
`void` | `setCellPadding(int cellPadding)` Sets the cellPadding property of the AbstractBaseTableViewTag.
`void` | `setCellSpacing(int cellSpacing)` Sets the cellSpacing property of the AbstractBaseTableViewTag.
`void` | `setColumnHeaderVisible(boolean columnHeaderVisible)` Sets the columnHeaderVisible property of the AbstractBaseTableViewTag.
`void` | `setColumnPageSize(int columnPageSize)` Sets the columnPageSize property of the AbstractBaseTableViewTag.
`void` | `setFormEnabled(boolean enabled)` Sets the formEnabled property of the AbstractBaseTableViewTag.
`void` | `setHorizontalAlignment(java.lang.String horizontalAlignment)` Sets the horizontalAlignment property of the AbstractBaseTableViewTag.
`void` | `setRowHeaderVisible(boolean rowHeaderVisible)` Sets the rowHeaderVisible property of the AbstractBaseTableViewTag.
`void` | `setRowPageSize(int rowPageSize)` Sets the rowPageSize property of the AbstractBaseTableViewTag.
`void` | `setStyleClassPrefix(java.lang.String styleClassPrefix)` Sets the styleClassPrefix property of the AbstractBaseTableViewTag.
`void` | `setSummary(java.lang.String summary)` Sets the text to be used as the summary property of the AbstractBaseTableViewTag.
`void` | `setWidth(int width)` Sets the width property of the AbstractBaseTableViewTag.
`void` | `setWidthPercentage(int widthPercentage)` Sets the widthPercentage property of the AbstractBaseTableViewTag.

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseActionTransformationBodyTag
`getActionProvider, setActionProvider`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`doEndTag, doStartTag, getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### AbstractBaseTableViewTag

    public AbstractBaseTableViewTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseActionTransformationBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setColumnHeaderVisible

    public void setColumnHeaderVisible(boolean columnHeaderVisible)

  Sets the columnHeaderVisible property of the AbstractBaseTableViewTag.

  Parameters:
    `columnHeaderVisible` - If true, then the column headers on the TableView are visible.
  See Also:
    `isColumnHeaderVisible()`

### isColumnHeaderVisible

    public boolean isColumnHeaderVisible()

  Returns the columnHeaderVisible property of the AbstractBaseTableViewTag.

  Returns:
    true if the column headers should be visible
  See Also:
    `setColumnHeaderVisible(boolean)`

### setColumnPageSize

    public void setColumnPageSize(int columnPageSize)

  Sets the columnPageSize property of the AbstractBaseTableViewTag.

  Parameters:
    `columnPageSize` - The number of columns to display. If columnPageSize is less than the number of columns in the column model then column scrolling will automatically be enabled.
  See Also:
    `getColumnPageSize()`

### getColumnPageSize

    public int getColumnPageSize()

  Returns the columnPageSize property of the AbstractBaseTableViewTag.

  Returns:
    the number of columns to display
  See Also:
    `setColumnPageSize(int)`

### setSummary

    public void setSummary(java.lang.String summary)

  Sets the text to be used as the summary property of the AbstractBaseTableViewTag. The summary should briefly describe the structure and purpose of the table.

  Parameters:
    `summary` - A brief description of the structure and purpose of the TableView.
  See Also:
    `getSummary()`

### getSummary

    public java.lang.String getSummary()

  Returns the summary property of the AbstractBaseTableViewTag.

  Returns:
    A brief description of the structure and purpose of the TableView.
  See Also:
    `setSummary(java.lang.String)`

### setStyleClassPrefix

    public void setStyleClassPrefix(java.lang.String styleClassPrefix)

  Sets the styleClassPrefix property of the AbstractBaseTableViewTag.

  Parameters:
    `styleClassPrefix` - A string to prepend to the styleClass name of the TableView.
  See Also:
    `getStyleClassPrefix()`

### getStyleClassPrefix

    public java.lang.String getStyleClassPrefix()

  Returns the styleClassPrefix property of the AbstractBaseTableViewTag.

  Returns:
    the String that is prepened the the styleClass name of the TableView.
  See Also:
    `setStyleClassPrefix(java.lang.String)`

### setHorizontalAlignment

    public void setHorizontalAlignment(java.lang.String horizontalAlignment)

  Sets the horizontalAlignment property of the AbstractBaseTableViewTag.

  Parameters:
    `horizontalAlignment` - The horizontal position of the TableView on the page. Valid values are LEFT, CENTER, RIGHT, and NONE.
  See Also:
    `getHorizontalAlignment()`

### getHorizontalAlignment

    public java.lang.String getHorizontalAlignment()

  Returns the horizontalAlignment property of the AbstractBaseTableViewTag.

  Returns:
    the horizontal position of the TableView on the page.
  See Also:
    `setHorizontalAlignment(java.lang.String)`

### setWidth

    public void setWidth(int width)

  Sets the width property of the AbstractBaseTableViewTag.

  Parameters:
    `width` - The width of the TableView in pixels. Overrides widthPercentage if both are set.
  See Also:
    `getWidth()`

### getWidth

    public int getWidth()

  Returns the width property of the AbstractBaseTableViewTag.

  Returns:
    the width of the TableView in pixels
  See Also:
    `setWidth(int)`

### setRowPageSize

    public void setRowPageSize(int rowPageSize)

  Sets the rowPageSize property of the AbstractBaseTableViewTag.

  Parameters:
    `rowPageSize` - The number of rows to display. If rowPageSize is less than the number of rows in the data model then row scrolling will automatically be enabled.
  See Also:
    `getRowPageSize()`

### getRowPageSize

    public int getRowPageSize()

  Returns the rowPageSize property of the AbstractBaseTableViewTag.

  Returns:
    the number of rows to display
  See Also:
    `setRowPageSize(int)`

### setCellPadding

    public void setCellPadding(int cellPadding)

  Sets the cellPadding property of the AbstractBaseTableViewTag.

  Parameters:
    `cellPadding` - The number of pixels between the cell border and the cell content.
  See Also:
    `getCellPadding()`

### getCellPadding

    public int getCellPadding()

  Returns the cellPadding property of the AbstractBaseTableViewTag.

  Returns:
    the number of pixels between the cell border and the cell content
  See Also:
    `setCellPadding(int)`

### setBorderWidth

    public void setBorderWidth(int borderWidth)

  Sets the borderWidth property of the AbstractBaseTableViewTag.

  Parameters:
    `borderWidth` - The width of the border around the TableView in pixels.
  See Also:
    `getBorderWidth()`

### getBorderWidth

    public int getBorderWidth()

  Returns the borderWidth property of the AbstractBaseTableViewTag.

  Returns:
    the width of the border around the TableView in pixels
  See Also:
    `setBorderWidth(int)`

### setRowHeaderVisible

    public void setRowHeaderVisible(boolean rowHeaderVisible)

  Sets the rowHeaderVisible property of the AbstractBaseTableViewTag.

  Parameters:
    `rowHeaderVisible` - If true, then the row headers on the TableView are visible.
  See Also:
    `isRowHeaderVisible()`

### isRowHeaderVisible

    public boolean isRowHeaderVisible()

  Returns the rowHeaderVisible property of the AbstractBaseTableViewTag.

  Returns:
    true if the row headers should be visible
  See Also:
    `setRowHeaderVisible(boolean)`

### setWidthPercentage

    public void setWidthPercentage(int widthPercentage)

  Sets the widthPercentage property of the AbstractBaseTableViewTag.

  Parameters:
    `widthPercentage` - The width of the TableView as a percentage.
  See Also:
    `getWidthPercentage()`

### getWidthPercentage

    public int getWidthPercentage()

  Returns the widthPercentage property of the AbstractBaseTableViewTag.

  Returns:
    the width of the TableView as a percentage
  See Also:
    `setWidthPercentage(int)`

### setCellSpacing

    public void setCellSpacing(int cellSpacing)

  Sets the cellSpacing property of the AbstractBaseTableViewTag.

  Parameters:
    `cellSpacing` - The number of pixels between the border of each cell.
  See Also:
    `getCellSpacing()`

### getCellSpacing

    public int getCellSpacing()

  Returns the cellSpacing property of the AbstractBaseTableViewTag.

  Returns:
    the number of pixels between the border of each cell
  See Also:
    `setCellSpacing(int)`

### setCaption

    public void setCaption(java.lang.String caption)

  Sets the caption property of the AbstractBaseTableViewTag.

  Parameters:
    `caption` - A brief description to describe the nature of the TableView.
  See Also:
    `getCaption()`

### getCaption

    public java.lang.String getCaption()

  Returns the caption property of the AbstractBaseTableViewTag.

  Returns:
    a brief description to describe the nature of the TableView
  See Also:
    `setCaption(java.lang.String)`

### setFormEnabled

    public void setFormEnabled(boolean enabled)

  Sets the formEnabled property of the AbstractBaseTableViewTag.

  Parameters:
    `enabled` - If true, then the form object is rendered by the TableView. If false, then the form object is not rendered and the user is responsible for rendering their own form.
  See Also:
    `isFormEnabled()`

### isFormEnabled

    public boolean isFormEnabled()

  Returns the formEnabled property of the AbstractBaseTableViewTag.

  Returns:
    true if the form object should be rendered by the TableView
  See Also:
    `setFormEnabled(boolean)`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Apply TableView properties to the underlying com.sas.servlet.tbeans.tableview.AbstractBaseTableView object

  Overrides:
    `applyAttributes` in class `BaseActionTransformationBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.